CVE-2013-5209

NameCVE-2013-5209
DescriptionThe sctp_send_initiate_ack function in sys/netinet/sctp_output.c in the SCTP implementation in the kernel in FreeBSD 8.3 through 9.2-PRERELEASE does not properly initialize the state-cookie data structure, which allows remote attackers to obtain sensitive information from kernel stack memory by reading packet data in INIT-ACK chunks.
SourceCVE (at NVD; oss-sec, fulldisc, OSVDB, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, more)
ReferencesDSA-2743-1
NVD severityhigh (attack range: remote)
Debian Bugs720475, 720476, 720478
Debian/oldoldstablepackage kfreebsd-8 is vulnerable.
Debian/oldstablenot vulnerable.
Debian/stablenot vulnerable.
Debian/testingnot vulnerable.
Debian/unstablenot vulnerable.

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
kfreebsd-10 (PTS)jessie10.1~svn274115-4fixed
stretch, sid10.1~svn274115-9fixed
kfreebsd-8 (PTS)squeeze8.1+dfsg-8+squeeze4vulnerable
squeeze (security)8.1+dfsg-8+squeeze3vulnerable
wheezy8.3-6+deb7u1fixed
kfreebsd-9 (PTS)wheezy9.0-10+deb70.7fixed
wheezy (security)9.0-10+deb70.10fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
kfreebsd-10source(unstable)10.0~svn254663-1high720478
kfreebsd-8source(unstable)(unfixed)high720476
kfreebsd-8sourcesqueeze(unfixed)end-of-life
kfreebsd-8sourcewheezy8.3-6+deb7u1high
kfreebsd-9source(unstable)9.2~svn254368-2high720475
kfreebsd-9sourcewheezy9.0-10+deb70.3highDSA-2743-1

Notes

[squeeze] - kfreebsd-8 <end-of-life> (Unsupported in squeeze-lts)

Search for package or bug name: Reporting problems